PHP Manual
Prev |  | Next

# HttpRequest

(no version information, might be only in CVS)

HttpRequest -- HTTP Request Class

## Synopsis

    class HttpRequest

## Class Members

### Properties

Table 1. Instance Properties

Modifiers | Type | Name | Description
--- | --- | --- | ---
protected | array | options |
protected | array | postFields |
protected | array | postFiles |
protected | array | responseInfo |
protected | array | responseData |
protected | HttpMessage | responseMessage |
protected | integer | responseCode |
protected | string | responseStatus |
protected | integer | method |
protected | string | url |
protected | string | contentType |
protected | string | rawPostData |
protected | string | queryData |
protected | string | putFile |
protected | string | putData |
protected | HttpMessage | history |
public | boolean | recordHistory |

### Predefined Constants

Table 2.

Type | Name | Description
--- | --- | ---
integer | METH_GET |
integer | METH_HEAD |
integer | METH_POST |
integer | METH_PUT |
integer | METH_DELETE |
integer | METH_OPTIONS |
integer | METH_TRACE |
integer | METH_CONNECT |
integer | METH_PROPFIND |
integer | METH_PROPPATCH |
integer | METH_MKCOL |
integer | METH_COPY |
integer | METH_MOVE |
integer | METH_LOCK |
integer | METH_UNLOCK |
integer | METH_VERSION_CONTROL |
integer | METH_REPORT |
integer | METH_CHECKOUT |
integer | METH_CHECKIN |
integer | METH_UNCHECKOUT |
integer | METH_MKWORKSPACE |
integer | METH_UPDATE |
integer | METH_LABEL |
integer | METH_MERGE |
integer | METH_BASELINE_CONTROL |
integer | METH_MKACTIVITY |
integer | METH_ACL |
integer | VERSION_1_0 |
integer | VERSION_1_1 |
integer | VERSION_NONE |
integer | AUTH_BASIC |
integer | AUTH_DIGEST |
integer | AUTH_NTLM |
integer | AUTH_ANY |
integer | PROXY_SOCKS4 |
integer | PROXY_SOCKS5 |
integer | PROXY_HTTP |

### Methods

HttpRequest::construct()
HttpRequest::getOptions()
HttpRequest::setOptions()
HttpRequest::getSslOptions()
HttpRequest::addSslOptions()
HttpRequest::setSslOptions()
HttpRequest::getUrl()
HttpRequest::setUrl()
HttpRequest::getMethod()
HttpRequest::setMethod()
HttpRequest::enableCookies()
HttpRequest::resetCookies()
HttpRequest::getCookies()
HttpRequest::addCookies()
HttpRequest::setCookies()
HttpRequest::getHeaders()
HttpRequest::addHeaders()
HttpRequest::setHeaders()
HttpRequest::getContentType()
HttpRequest::setContentType()
HttpRequest::getQueryData()
HttpRequest::addQueryData()
HttpRequest::setQueryData()
HttpRequest::getPostFields()
HttpRequest::addPostFields()
HttpRequest::setPostFields()
HttpRequest::getPostFiles()
HttpRequest::addPostFile()
HttpRequest::setPostFiles()
HttpRequest::getRawPostData()
HttpRequest::addRawPostData()
HttpRequest::setRawPostData()
HttpRequest::getPutData()
HttpRequest::addPutData()
HttpRequest::setPutData()
HttpRequest::getPutFile()
HttpRequest::setPutFile()
HttpRequest::send()
HttpRequest::getRequestMessage()
HttpRequest::getRawRequestMessage()
HttpRequest::getResponseMessage()
HttpRequest::getRawResponseMessage()
HttpRequest::getResponseCode()
HttpRequest::getResponseStatus()
HttpRequest::getResponseHeader()
HttpRequest::getResponseCookies()
HttpRequest::getResponseBody()
HttpRequest::getResponseData()
HttpRequest::getResponseInfo()
HttpRequest::clearHistory()
HttpRequest::getHistory()

Prev | Home | Next
HttpInflateStream::finish | Up | HttpRequest::addCookies